[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TResourceDesc.Assign

Assigns the contents of another TResourceDesc object to this one

## Declaration

Source position: resource.pp line 119

`public procedure TResourceDesc.Assign(`
`aResourceDesc: TResourceDesc`
`);`

## Arguments

`aResourceDesc` |  | The object from which data must be copied

## Errors

If changing values is not permitted because owner resource doesn't allow it (e.g. because owner resource is a TBitmapResource and values other than RT_BITMAP are not permitted for the resource type) an EResourceDescChangeNotAllowedException exception is raised.